# sphobjinv.error

Custom errors for `sphobjinv`.

`sphobjinv` is a toolkit for manipulation and inspection of Sphinx objects.inv files.

Author

  Brian Skinn (brian.skinn@gmail.com)

File Created

  5 Nov 2017

Copyright

  (c) Brian Skinn 2016-2025

Source Repository

  https://github.com/bskinn/sphobjinv

Documentation

  https://sphobjinv.readthedocs.io/en/stable

License

  Code: MIT License

  Docs & Docstrings: CC BY 4.0 International License

  See LICENSE.txt for full license terms.

Members

exception SphobjinvError

  Custom `sphobjinv` error superclass.

exception VersionError

  Raised when attempting an operation on an unsupported version.

  The current version of `sphobjinv` only supports ‘version 2’ objects.inv files (see here).